% Funzione che converte i dati grezzi dei Weir Link in dati di altezza d'acqua

function Def_PE = conv_grezziPE(Def_PE,rPE,DCalPETot,NodoPendulum,FileName)

text = 'conv_grezziPE function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

if strcmp(NodoPendulum(1,4),'4-20 mA')
    m = DCalPETot(:,1);
    nn = 1;
    for ii = 1:rPE
        Def_PE(:,nn:nn+1) = m(ii)*Def_PE(:,nn:nn+1);   
        nn = nn+2;
    end
end

text = 'Raw Data of Pendulum converted into physical units correctly. conv_grezziPE function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end